View Issue Details

IDProjectCategoryView StatusLast Update
0000939SymmetricDSNew Featurepublic2014-02-02 20:53
ReportergwilmerAssigned Togwilmer 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.4.0 
Target Version3.4.0Fixed in Version3.4.0 
Summary0000939: Provide capability to specify initial load delete statement by trigger / router
DescriptionProvide capability to specify initial load delete statement by trigger / router.
TagsNo tags attached.

Activities

chenson

2013-06-08 11:15

administrator   ~0000273

This was already implemented

Related Changesets

SymmetricDS: master ab33e4af

2012-12-04 10:21:06

gwilmer

Details Diff
Issue 0000939 - Provide capability to specify initial load delete statement by trigger router
0000939
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/TriggerRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: master 2fd74d6c

2012-12-04 11:40:22

gwilmer

Details Diff
Issue 0000939 - Provide capability to specify initial load delete statement by trigger router
0000939
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

SymmetricDS: master 042c0ebf

2012-12-04 16:53:19

gwilmer

Details Diff
Issue 0000939 - Fix column count test for new trigger_table column.
0000939
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File

SymmetricDS: master 094a2d13

2012-12-05 09:05:34

gwilmer

Details Diff
Issue 0000939 - Add schema and catalog as substitution variables, quote table names.
0000939
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File

SymmetricDS: master ec649a63

2012-12-05 18:46:01

gwilmer

Details Diff
Issue 0000939 - Move substitution to database writer on the target
0000939
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File

SymmetricDS: master 4310474f

2012-12-05 20:48:28

gwilmer

Details Diff
Issue 0000939 - Move substitution to database writer on the target
0000939
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File

SymmetricDS: master 9a4aef02

2012-12-05 21:10:27

gwilmer

Details Diff
Issue 0000939 - SqlServer doesn't support catalog.
0000939
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File

SymmetricDS: master 120bd477

2012-12-06 08:54:05

gwilmer

Details Diff
Issue 0000939 - Move substitution to database writer on the target
0000939
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2012-12-03 13:52 gwilmer New Issue
2012-12-03 13:52 gwilmer Status new => assigned
2012-12-03 13:52 gwilmer Assigned To => gwilmer
2013-06-08 11:15 chenson Note Added: 0000273
2013-06-08 11:15 chenson Product Version => 3.4.0
2013-06-08 11:15 chenson Fixed in Version => 3.4.0
2013-06-08 11:15 chenson Target Version => 3.4.0
2013-06-08 11:15 chenson Status assigned => closed
2013-06-08 11:15 chenson Resolution open => fixed
2014-02-02 20:53 gwilmer Changeset attached => SymmetricDS trunk r6616
2014-02-02 20:53 gwilmer Changeset attached => SymmetricDS trunk r6617
2014-02-02 20:53 gwilmer Changeset attached => SymmetricDS trunk r6622
2014-02-02 20:53 gwilmer Changeset attached => SymmetricDS trunk r6623
2014-02-02 20:53 gwilmer Changeset attached => SymmetricDS trunk r6628
2014-02-02 20:53 gwilmer Changeset attached => SymmetricDS trunk r6629
2014-02-02 20:53 gwilmer Changeset attached => SymmetricDS trunk r6632
2014-02-02 20:53 gwilmer Changeset attached => SymmetricDS trunk r6634
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master 120bd477
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master 9a4aef02
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master 4310474f
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master ec649a63
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master 094a2d13
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master 042c0ebf
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master 2fd74d6c
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master ab33e4af